@model Fornecedor
@{ Layout = "/Views/Shared/Layout.cshtml"; }

<head>
  <style>
    .popup {
      display: none; /* Por padrão, oculte o popup */
      position: fixed;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 300px;
      height: 200px;
      background-color: #f2f2f2;
      padding: 20px;
      border: 1px solid #ccc;
    }
  </style>
</head>
<body>
    <button onclick="openPopup()">Pesquisar Fornecedor</button>

    <div id="myPopup" class="popup">
        <h2>Fornecedores</h2>
        
        <button onclick="closePopup()">Fechar</button>
    </div>

    <script>
        function openPopup() {
            document.getElementById("myPopup").style.display = "block";
        }

        function closePopup() {
            document.getElementById("myPopup").style.display = "none";
        }
    </script>

    <h1>Cadastro Produto</h1>

    <form action="/produto/create" method="POST">
        <div>
            <label>Fornecedor</label>
            <input type="text" class="form-control" name="fornecedorId"/>
        </div> 
        <div>
            <label>Categoria</label>
            <input type="text" class="form-control" name="categoria"/>
        </div> 
        <div>
            <label>Descrição</label>
            <input type="text" class="form-control" name="descricao"/>
        </div> 
        <div>
            <label>Unidade de Medida</label>
            <input type="text" class="form-control" name="um"/>
        </div> 
        <div>
            <label>Preço</label>
            <input type="text" class="form-control" name="preco"/>
        </div> 
        <div>
            <label>QTD em Estoque</label>
            <input type="text" class="form-control" name="qtdEstoque"/>
        </div> 
        <button class="btn btn-primary" style="margin-top: 20px">Salvar</button>

        <table class="table table-hover">
            @* @foreach (Fornecedor f in Model)
            {
                <tr> 
                    <td>@f.IdFornecedor</td>
                    <td>@f.Nome</td>
                </tr>
            } *@
        </table>
    </form>
</body>